Bug 1282893 - Review Request: quantum-espresso - A suite for electronic-structure calculations and materials modeling
Summary: Review Request: quantum-espresso - A suite for electronic-structure calculati...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-17 18:21 UTC by marcindulak
Modified: 2016-07-15 00:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-15 00:33:35 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)
fix requires (2.98 KB, patch)
2015-12-18 12:44 UTC, Dave Love
no flags Details | Diff
patch to disable some tedious warnings (1.28 KB, patch)
2015-12-20 01:17 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff
lua magic (1.31 KB, patch)
2015-12-20 01:17 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

Description marcindulak 2015-11-17 18:21:54 UTC
Spec URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r01/quantum-espresso.spec
SRPM URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r01/quantum-espresso-5.2.1-1.fc23.src.rpm
Description: QUANTUM ESPRESSO is an integrated suite of Open-Source computer codes for electronic-structure calculations and materials modeling at the nanoscale. It is based on density-functional theory, plane waves, and pseudopotentials.
Fedora Account System Username: marcindulak

Comment 1 Upstream Release Monitoring 2015-11-17 18:26:12 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11884527

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-12-05 04:34:05 UTC
Hm, what does this do?:

%if 0%{?el6}
%global mpich mpich
%global mpich_load %_mpich_load
%global mpich_unload %_mpich_unload
%else
%global mpich mpich
%global mpich_load %_mpich_load
%global mpich_unload %_mpich_unload
%endif


Requires are normally written with one =. I think == might be misinterpreted.

You can replace the calls to `basename ${f}` with ${f%/*}, makes things slightly shorter and more readable.

Please use pushd/popd instead of cd/cd -. This is recommended because the path is printed, which makes logs easier to understand.

%defattr(-,root,root,-) is not needed.

Use %{!?_licensedir:%global license %doc} and then you don't need conditionals in %files.

Can you comment on the reason for multiple source tarballs? Are they always released together?

Comment 3 Upstream Release Monitoring 2015-12-09 17:14:47 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-1.el6.src.rpm for el6-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12125885

Comment 4 marcindulak 2015-12-09 17:26:32 UTC
As you can see I'm working on this. Do you know why my scratch builds get listed here?

In https://kojipkgs.fedoraproject.org//work/tasks/5886/12125886/build.log you can see that setting global license does not work for me on el6 when defining this global at top of the spec. Apparently License gets confused with license.

Comment 5 Upstream Release Monitoring 2015-12-09 18:56:27 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-1.el6.src.rpm for el6-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12126535

Comment 6 Zbigniew Jędrzejewski-Szmek 2015-12-13 02:03:11 UTC
(In reply to marcindulak from comment #4)
> As you can see I'm working on this. Do you know why my scratch builds get
> listed here?
It's a new feature based on fedmsg. Scratch builds are automatically listed on the bug page when there's a review open.

> In https://kojipkgs.fedoraproject.org//work/tasks/5886/12125886/build.log
> you can see that setting global license does not work for me on el6 when
> defining this global at top of the spec. Apparently License gets confused
> with license.

I don't see the spec file you used, but here's an example that seems to work. I just did something similar today, to have the same spec file for el6, epel7, and various fedora versions:

http://pkgs.fedoraproject.org/cgit/python-dialog.git/commit/?id=db10aeb59cccc1a201554719ca64b794452d2e4f.

Comment 7 Upstream Release Monitoring 2015-12-16 15:04:08 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-1.el6.src.rpm for el6-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12215112

Comment 8 marcindulak 2015-12-16 18:48:26 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Hm, what does this do?:
> 
> %if 0%{?el6}
> %global mpich mpich
> %global mpich_load %_mpich_load
> %global mpich_unload %_mpich_unload
> %else
> %global mpich mpich
> %global mpich_load %_mpich_load
> %global mpich_unload %_mpich_unload
> %endif
> 

this is a legacy part when there was mpich2 on el6 and mpich on Fedora.
I removed that global variables.

> 
> Requires are normally written with one =. I think == might be misinterpreted.

OK

> 
> You can replace the calls to `basename ${f}` with ${f%/*}, makes things
> slightly shorter and more readable.

let's keep the simple basename. I'm not a fan of shortcuts.

> 
> Please use pushd/popd instead of cd/cd -. This is recommended because the
> path is printed, which makes logs easier to understand.
> 

OK

> %defattr(-,root,root,-) is not needed.

i believe fedora-review complains if %defattr(-,root,root,-) is missing

> 
> Use %{!?_licensedir:%global license %doc} and then you don't need
> conditionals in %files.
> 

this works for me when defining this global *after* the License field.
Apparently License is confused with license if global defined on the top of the spec:
http://koji.fedoraproject.org/koji/getfile?taskID=12125886&name=build.log&offset=-4000

> Can you comment on the reason for multiple source tarballs? Are they always
> released together?

I would like we clarify two things:

1. the source includes L. Peter Deutsch md5 implementation. I think gromacs RPM
also includes this md5 (src/external/tng_io/src/lib/md5.c) so we are fine?

2. quantum-espresso bundles a small part (a couple of files) belonging to
http://www.tddft.org/programs/octopus/wiki/index.php/Libxc
This is described in this commit message: http://qe-forge.org/gf/project/q-e/scmsvn/?action=ScmCommitDetail&scm_commit_id=16950

I have made an additional change: set ExclusiveArch due to openblas-devel.

Spec URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r02/quantum-espresso.spec
SRPM URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r02/quantum-espresso-5.2.1-1.el6.src.rpm

Comment 9 Zbigniew Jędrzejewski-Szmek 2015-12-17 15:01:56 UTC
(In reply to marcindulak from comment #8)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> > Hm, what does this do?:
> > 
> > %if 0%{?el6}
> > %global mpich mpich
> > %global mpich_load %_mpich_load
> > %global mpich_unload %_mpich_unload
> > %else
> > %global mpich mpich
> > %global mpich_load %_mpich_load
> > %global mpich_unload %_mpich_unload
> > %endif
> > 
> 
> this is a legacy part when there was mpich2 on el6 and mpich on Fedora.
> I removed that global variables.
> 
> > 
> > Requires are normally written with one =. I think == might be misinterpreted.
> 
> OK
> 
> > 
> > You can replace the calls to `basename ${f}` with ${f%/*}, makes things
> > slightly shorter and more readable.
> 
> let's keep the simple basename. I'm not a fan of shortcuts.
> 
> > 
> > Please use pushd/popd instead of cd/cd -. This is recommended because the
> > path is printed, which makes logs easier to understand.
> > 
> 
> OK
> 
> > %defattr(-,root,root,-) is not needed.
> 
> i believe fedora-review complains if %defattr(-,root,root,-) is missing
Quite the opposite ;) Anyway the authoritative source is
https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions,
which says that they are not required.

> > Use %{!?_licensedir:%global license %doc} and then you don't need
> > conditionals in %files.
> > 
> 
> this works for me when defining this global *after* the License field.
> Apparently License is confused with license if global defined on the top of
> the spec:
> http://koji.fedoraproject.org/koji/getfile?taskID=12125886&name=build.
> log&offset=-4000
Right.

> > Can you comment on the reason for multiple source tarballs? Are they always
> > released together?
> 
> I would like we clarify two things:
> 
> 1. the source includes L. Peter Deutsch md5 implementation. I think gromacs
> RPM
> also includes this md5 (src/external/tng_io/src/lib/md5.c) so we are fine?
> 
> 2. quantum-espresso bundles a small part (a couple of files) belonging to
> http://www.tddft.org/programs/octopus/wiki/index.php/Libxc
> This is described in this commit message:
> http://qe-forge.org/gf/project/q-e/scmsvn/
> ?action=ScmCommitDetail&scm_commit_id=16950
> 
> I have made an additional change: set ExclusiveArch due to openblas-devel.
> 
> Spec URL:
> https://marcindulak.fedorapeople.org/packages/quantum-espresso/r02/quantum-
> espresso.spec
> SRPM URL:
> https://marcindulak.fedorapeople.org/packages/quantum-espresso/r02/quantum-
> espresso-5.2.1-1.el6.src.rpm

I'll try to review this later today.

Comment 10 Dave Love 2015-12-18 12:44:39 UTC
Created attachment 1107142 [details]
fix requires

I looked at this, as I had an earlier version in copr (not suitable for review).
The questions might well not be appropriate, but I think it would help to have notes in the spec.

* It won't install because it requires an arch-specific -common package; patch attached.

* I'd have thought iotk should be unbundled, but I don't know if it's of more general use.

* Shouldn't this build against atlas or lapack/blas on non-x86?  (ppc64le seems a plausible architecture to run it on.)  I know that makes it particularly suffer the BLAS mess in Fedora, but scalapack links against reference blas anyhow.

* It's not using the default compilation and linking flags (not that I agree with that requirement for computational programs).

* Will smp make not work?  There's no comment, and the build takes a while.

* Why not use elpa?  (I haven't tried with this version and the Fedora elpa.)

* Shouldn't the doc be installed?

* Would the GUI be useful?  (I don't know.)

Comment 11 Zbigniew Jędrzejewski-Szmek 2015-12-18 16:22:07 UTC
Thanks for tackling this. It seems to be a really complicated package and I can see that a lot of work has gone into putting it in a decent shape.

Some issues:

openblas is ExclusiveArch x86_64 %{ix86} armv7hl ppc64le, you should probably match that.

License tag is wrong. The License tag specifies the *effective* license of the *binary* package [1, 2]. So anything that is not part of the binary rpm (like install/install-sh) doesn't matter at all. If you combine GPLv2+ with BSD or LGPL or MIT, the effective license is GPLv2+. So, if a file in the binary rpm has at least one GPL licensed file, that file is GPL. If a file only had sources with more permissive licenses, than that file would have some other license. So you need to determine the effective license of all files in the binary rpm and put the result in License. I'd guess that the result is going to be License:GPLv2+.

[1] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License:_field
[2] https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#What_is_.22effective_license.22_and_do_I_need_to_know_that_for_the_License:_tag.3F

Requires:openmpi and Requires:mpich in the q-e-openmpi and q-e-mpich look wrong to me. Normally the automatically generated dependency would be enough. E.g. q-e-mpich.i686 requires
  libmpi.so.12(mpich-i386)
  libmpifort.so.12(mpich-i386)
and this should be enough.

OTOH, q-e-mpich-devel should probably R: mpich-devel, and q-e-openmpi-devel should probably R: openmpi-devel.

Actually, I'd suggest moving all the BuildRequires to the top. Right now it is hard to get an overview of what will be installed in the build root, and some BR are repeated.

Why export OMP_NUM_THREADS=1 in %check?

Maybe you could use '%{lua: for i=20,41 do print("%{SOURCE" .. i .. "} ") end}'
instead of listing all the SOURCExx explicitly in cp?

The comments from Dave are also all relevant:
(In reply to Dave Love from comment #10)
> Created attachment 1107142 [details]
> fix requires
This looks correct.

> * It won't install because it requires an arch-specific -common package;
> patch attached.
Right.
 
> * I'd have thought iotk should be unbundled, but I don't know if it's of
> more general use.
Hm, good question. Is it used anywhere else?

> * Shouldn't this build against atlas or lapack/blas on non-x86?  (ppc64le
> seems a plausible architecture to run it on.)  I know that makes it
> particularly suffer the BLAS mess in Fedora, but scalapack links against
> reference blas anyhow.
openblas is available on ppc64le. So maybe building everywhere that openblas-devel
is avaialable would be enough...

> * It's not using the default compilation and linking flags (not that I agree
> with that requirement for computational programs).
> 
> * Will smp make not work?  There's no comment, and the build takes a while.
Yeah, the build takes forever. More threads would be great.
 
> * Why not use elpa?  (I haven't tried with this version and the Fedora elpa.)
> 
> * Shouldn't the doc be installed?
> 
> * Would the GUI be useful?  (I don't know.)

Comment 12 Orion Poplawski 2015-12-18 16:37:26 UTC
Note that automatic MPI requirement generation is only available on Fedora 23+.

Comment 13 Zbigniew Jędrzejewski-Szmek 2015-12-18 16:54:39 UTC
Can I close my eyes and pretend that F22 is already EOL? ;)

But even in F22, mpich has libmpi.so.12()(64bit), and openmpi has libmpi.so.1()(64bit), so the right dependency should be installed anyway.

Comment 14 marcindulak 2015-12-18 21:18:58 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #13)
> Can I close my eyes and pretend that F22 is already EOL? ;)
> 
> But even in F22, mpich has libmpi.so.12()(64bit), and openmpi has
> libmpi.so.1()(64bit), so the right dependency should be installed anyway.

What about el6, el7?
I get the following on CentOS 6:

$ yum provides "libmpi.so.1"

compat-openmpi-1.4.3-1.2.el6.i686 : Open Message Passing Interface
Repo        : base
Matched from:
Other       : libmpi.so.1

openmpi-1.8.1-1.el6.i686 : Open Message Passing Interface
Repo        : base
Matched from:
Other       : libmpi.so.1

Comment 15 Zbigniew Jędrzejewski-Szmek 2015-12-18 21:26:49 UTC
Then in epel maybe you need to add an explicit dependency on openmpi. But in Fedora is should not be necessary, even in F22.

Comment 16 Upstream Release Monitoring 2015-12-19 00:39:54 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-3.el6.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12243819

Comment 17 Upstream Release Monitoring 2015-12-19 01:07:18 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-3.el6.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12244038

Comment 18 Upstream Release Monitoring 2015-12-19 03:48:49 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-3.el6.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12244545

Comment 19 marcindulak 2015-12-19 04:44:40 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #11)
> Thanks for tackling this. It seems to be a really complicated package and I
> can see that a lot of work has gone into putting it in a decent shape.
> 
> Some issues:
> 
> openblas is ExclusiveArch x86_64 %{ix86} armv7hl ppc64le, you should
> probably match that.

fixed

> 
> License tag is wrong. The License tag specifies the *effective* license of
> the *binary* package [1, 2]. So anything that is not part of the binary rpm
> (like install/install-sh) doesn't matter at all. If you combine GPLv2+ with
> BSD or LGPL or MIT, the effective license is GPLv2+. So, if a file in the
> binary rpm has at least one GPL licensed file, that file is GPL. If a file
> only had sources with more permissive licenses, than that file would have
> some other license. So you need to determine the effective license of all
> files in the binary rpm and put the result in License. I'd guess that the
> result is going to be License:GPLv2+.
> 

fixed

> [1]
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License:_field
> [2]
> https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#What_is_.
> 22effective_license.22_and_do_I_need_to_know_that_for_the_License:_tag.3F
> 
> Requires:openmpi and Requires:mpich in the q-e-openmpi and q-e-mpich look
> wrong to me. Normally the automatically generated dependency would be
> enough. E.g. q-e-mpich.i686 requires
>   libmpi.so.12(mpich-i386)
>   libmpifort.so.12(mpich-i386)
> and this should be enough.

The builds need to work also on el6/el7. I keep those Requires for now.

> 
> OTOH, q-e-mpich-devel should probably R: mpich-devel, and q-e-openmpi-devel
> should probably R: openmpi-devel.

The BuildRquires and Requires are correct for q-e-*-devel subpackages with the current packaging of openmpi and mpich.
They *Requires need to be mpich and openmpi due to the paths to directories containing fortran mod files (%{_fmoddir}/openmpi%{?_cc_name_suffix}/) being owned by mpich and openmpi.

> 
> Actually, I'd suggest moving all the BuildRequires to the top. Right now it
> is hard to get an overview of what will be installed in the build root, and
> some BR are repeated.

I'll get more confused by moving the dependencies to one place.

> 
> Why export OMP_NUM_THREADS=1 in %check?

removed now.

> 
> Maybe you could use '%{lua: for i=20,41 do print("%{SOURCE" .. i .. "} ")
> end}'
> instead of listing all the SOURCExx explicitly in cp?

how can this be done?
One the command line the following looks OK:

$ rpm --eval '%{lua:for i=20,41 do print(string.format("cp -p %%{SOURCE%u} pseudo\n", i)) end}'

but with rpmbuild I get additional quotes:

...
+ cp -p '%{SOURCE20}' pseudo
cp: cannot stat `%{SOURCE20}': No such file or directory
...

> 
> The comments from Dave are also all relevant:
> (In reply to Dave Love from comment #10)
> > Created attachment 1107142 [details]
> > fix requires
> This looks correct.

fixed

> 
> > * It won't install because it requires an arch-specific -common package;
> > patch attached.
> Right.
>  
> > * I'd have thought iotk should be unbundled, but I don't know if it's of
> > more general use.
> Hm, good question. Is it used anywhere else?

iotk is required by http://www.yambo-code.org/
Unbundling iotk would require some work, and I'm not willing to do this
without the support from quantum-espresso developers.
Yambo is currently hosted on qe-forge
http://qe-forge.org/gf/project/yambo/frs/?action=FrsReleaseBrowse&frs_package_id=40
which means that it's probably related to quantum-espresso and when packaging yambo one could just BuildRequires: quantum-espresso-{openmpi,static}-devel and quantum-espresso-{openmpi,static}-static

> 
> > * Shouldn't this build against atlas or lapack/blas on non-x86?  (ppc64le
> > seems a plausible architecture to run it on.)  I know that makes it
> > particularly suffer the BLAS mess in Fedora, but scalapack links against
> > reference blas anyhow.
> openblas is available on ppc64le. So maybe building everywhere that
> openblas-devel
> is avaialable would be enough...

I prefer openblas. Had problems with atlas in the past with various codes, and openblas just worked.

> 
> > * It's not using the default compilation and linking flags (not that I agree
> > with that requirement for computational programs).

%{optflags} are used now

> > 
> > * Will smp make not work?  There's no comment, and the build takes a while.
> Yeah, the build takes forever. More threads would be great.

make %{?_smp_mflags} failed for me

>  
> > * Why not use elpa?  (I haven't tried with this version and the Fedora elpa.)

I tried to use Fedora's ELPA but several makefiles have hardcoded ELPA.
I didn't want to spend my time on this and decided to simply remove the bundled ELPA.

> > 
> > * Shouldn't the doc be installed?

I believe nobody reads the docs installed on the system nowadays.

> > 
> > * Would the GUI be useful?  (I don't know.)

Let's leave it for later. pwgui looks to me as a separate package.

Spec URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r03/quantum-espresso.spec
SRPM URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r03/quantum-espresso-5.2.1-3.el6.src.rpm

Comment 20 Zbigniew Jędrzejewski-Szmek 2015-12-20 00:58:57 UTC
warning: bogus date in %changelog: Wed Dec 19 2015 Marcin Dulak <Marcin.Dulak@gmail.com> 5.1.2-3

quantum-espresso.x86_64: W: incoherent-version-in-changelog 5.1.2-3 ['5.2.1-3.fc24', '5.2.1-3']

> > > * Will smp make not work?  There's no comment, and the build takes a while.
> > Yeah, the build takes forever. More threads would be great.
> make %{?_smp_mflags} failed for me
Please al least add a comment in the spec file.

It would be great to work with upstream to fix parallel compilation, and to be able to run the tests in parallel.

> > > * Shouldn't the doc be installed?
> I believe nobody reads the docs installed on the system nowadays.
I could dispute that. Packaged docs have advantages: they work offline, they don't get out of sync with the package, they are still there if the upstream goes away. But they are not mandatory, so if you don't want to package them that's OK.

> + cp -p '%{SOURCE20}' pseudo
> cp: cannot stat `%{SOURCE20}': No such file or directory
It needs one more expansion level:
cp -p %{expand: %{lua: for i=20,41 do print("%{SOURCE"..i.."} ") end}} pseudo/

When running the build, a number of errors appear like this:
Checking uspp...[warn] Epoll ADD(4) on fd 1 failed.  Old events were 0; read change was 0 (none); write change was 1 (add): Operation not permitted

This might be caused by trying to add /dev/null. Cf. the following python transcript:

>>> import select
>>> p = select.epoll()
>>> f = open('/dev/null', 'r')
>>> p.register(f.fileno())
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
PermissionError: [Errno 1] Operation not permitted

It fails with the same error code. Maybe the warning in tests is harmless, maybe not, please investigate that.

rpmlint:
quantum-espresso.x86_64: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso.x86_64: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
False positives.

quantum-espresso.x86_64: W: no-documentation
quantum-espresso.x86_64: W: no-manual-page-for-binary ...
OK.

quantum-espresso-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/...
Since this is only in the debug package, it's OK.


You created the q-e-common subpackage. It has only one file, which is a few kilobytes. I think it would be totally fine to package this file in the main package, the savings are not worth the overhead of having another subpackage.


>> > * I'd have thought iotk should be unbundled, but I don't know if it's of
>> > more general use.
>> Hm, good question. Is it used anywhere else?
>
>iotk is required by http://www.yambo-code.org/
>Unbundling iotk would require some work, and I'm not willing to do this
>without the support from quantum-espresso developers.
>Yambo is currently hosted on qe-forge
>http://qe-forge.org/gf/project/yambo/frs/?action=FrsReleaseBrowse&frs_package_id=40
>which means that it's probably related to quantum-espresso and when packaging yambo one could just BuildRequires: >quantum-espresso-{openmpi,static}-devel and quantum-espresso-{openmpi,static}-static

You should build iotk as a shared library. This is very strongly encouraged
[https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries].
IS there a good reason to build iotk as a static lib?

Comment 21 Zbigniew Jędrzejewski-Szmek 2015-12-20 01:17:05 UTC
Created attachment 1107852 [details]
patch to disable some tedious warnings

Comment 22 Zbigniew Jędrzejewski-Szmek 2015-12-20 01:17:32 UTC
Created attachment 1107853 [details]
lua magic

Comment 23 Dave Love 2015-12-21 14:30:25 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #20)
> > > > * Shouldn't the doc be installed?
> > I believe nobody reads the docs installed on the system nowadays.
> I could dispute that. Packaged docs have advantages: they work offline, they
> don't get out of sync with the package, they are still there if the upstream
> goes away.

Right.  As a user of the package, I don't want to have to install the doc
separately.  Examples are particularly valuable.

> But they are not mandatory, so if you don't want to package them
> that's OK.

It is a "should" item in the guidelines, and trivial to do, at least in
this case.  It's unfortunate if Fedora loses documentation, and I'd
definitely rather have it than full regression tests.

> When running the build, a number of errors appear like this:
> Checking uspp...[warn] Epoll ADD(4) on fd 1 failed.  Old events were 0; read
> change was 0 (none); write change was 1 (add): Operation not permitted

I don't see that, but there are several "discrepancies" listed when it's
run here under RHEL6 on sandybridge.  I doubt the numerical differences
are important, but some differences in iteration counts look surprising.

However, I'd meant to say that I don't think it's worthwhile to run
complete sets of regression tests in package builds, especially when
they take so long and require the extra data.  One or two sanity
checks from the examples directory seem enough.  (The increased build
resources are relevant to installers if you need to rebuild for a
different MPI, as I do.)

I think the MPI sub-packages should have proper Summary contents,
particularly as the main one may not be installed;
"%{name} - openmpi version" isn't useful, e.g. in the output of
"rpm -qa".  Probably there should be a guideline for that.

Comment 24 Zbigniew Jędrzejewski-Szmek 2015-12-21 15:21:56 UTC
(In reply to Dave Love from comment #23)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #20)
> > When running the build, a number of errors appear like this:
> > Checking uspp...[warn] Epoll ADD(4) on fd 1 failed.  Old events were 0; read
> > change was 0 (none); write change was 1 (add): Operation not permitted
> 
> I don't see that, but there are several "discrepancies" listed when it's
> run here under RHEL6 on sandybridge.  I doubt the numerical differences
> are important, but some differences in iteration counts look surprising.
> 
> However, I'd meant to say that I don't think it's worthwhile to run
> complete sets of regression tests in package builds, especially when
> they take so long and require the extra data.  One or two sanity
> checks from the examples directory seem enough.  (The increased build
> resources are relevant to installers if you need to rebuild for a
> different MPI, as I do.)

Such tests sometimes expose compilation or memory issues or endianness
errors... Scientific packages like quantum espresso don't have many users,
so it is possible that on less popular architectures almost nobody will
test the package. Having a big test suite that really exercises the code
in realistic way is my experience very valuable.

> I think the MPI sub-packages should have proper Summary contents,
> particularly as the main one may not be installed;
> "%{name} - openmpi version" isn't useful, e.g. in the output of
> "rpm -qa".  Probably there should be a guideline for that.
Yeah, I also wanted to comment on this when doing the last review, but
in the end I didn't have an idea that would be significantly better.
What actual replacement would you propose?
Summary:                A suite for electronic-structure calculations and materials modeling
Summary:                %{name} - devel
Summary:                %{name} - static libraries
Summary:                %{name} - openmpi version
Summary:                %{name} - devel openmpi version
Summary:                %{name} - static libraries openmpi version
Summary:                %{name} - mpich version
Summary:                %{name} - devel mpich version
Summary:                %{name} - static libraries mpich version
Summary:                %{name} - common files

Comment 25 marcindulak 2016-01-07 14:45:02 UTC
Thanks for patches. I have made the following changes:

- fixed incorrect changelog version
- disabled compilation warnings
- used lua for copying pseudos
- removed common package

Answers to other questions:
- I don't build shared iotk because the static one is referred to in the Makefiles. I don't want to patch the Makefiles for iotk at each espresso release.
- "Epoll ADD(4) on fd 1 failed..." i think it's a warning coming from openmpi. I have seen openmpi warnings come and go with different openmpi versions or choices of build/run parameters. Have no time for investigate this further.

Spec URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r04/quantum-espresso.spec
SRPM URL: https://marcindulak.fedorapeople.org/packages/quantum-espresso/r04/quantum-espresso-5.2.1-4.el6.src.rpm

Comment 26 Upstream Release Monitoring 2016-01-07 14:46:19 UTC
marcindulak's scratch build of quantum-espresso-5.2.1-4.el6.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12449155

Comment 27 Zbigniew Jędrzejewski-Szmek 2016-01-07 20:34:43 UTC
(In reply to marcindulak from comment #25)
> Answers to other questions:
> - I don't build shared iotk because the static one is referred to in the
> Makefiles. I don't want to patch the Makefiles for iotk at each espresso
> release.
OK. I think it would still be valuable to build the shared library, but
it would mostly matter for packages linking to libiotk.a. If such packages
are packaged for Fedora in the future, this might be worth revisiting. 

> - "Epoll ADD(4) on fd 1 failed..." i think it's a warning coming from
> openmpi. I have seen openmpi warnings come and go with different openmpi
> versions or choices of build/run parameters. Have no time for investigate
> this further.
OK.

I seems that the build is not parallelized... Would be nice to fix that.

rpmlint:
quantum-espresso.src:178: W: mixed-use-of-spaces-and-tabs (spaces: line 178, tab: line 5)

quantum-espresso.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso.i686: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
quantum-espresso.i686: W: no-documentation
quantum-espresso.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso/License
quantum-espresso.i686: W: no-manual-page-for-binary fd_ifc.x
quantum-espresso.i686: W: no-manual-page-for-binary pw4gww.x
quantum-espresso.i686: W: no-manual-page-for-binary plotrho.x
quantum-espresso.i686: W: no-manual-page-for-binary fd_ef.x
quantum-espresso.i686: W: no-manual-page-for-binary cppp.x
quantum-espresso.i686: W: no-manual-page-for-binary wannier_ham.x
quantum-espresso.i686: W: no-manual-page-for-binary path_interpolation.x
quantum-espresso.i686: W: no-manual-page-for-binary generate_rVV10_kernel_table.x
quantum-espresso.i686: W: no-manual-page-for-binary molecularpdos.x
quantum-espresso.i686: W: no-manual-page-for-binary pp.x
quantum-espresso.i686: W: no-manual-page-for-binary pw2wannier90.x
quantum-espresso.i686: W: no-manual-page-for-binary band_plot.x
quantum-espresso.i686: W: no-manual-page-for-binary rrkj2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary bands_FS.x
quantum-espresso.i686: W: no-manual-page-for-binary cp.x
quantum-espresso.i686: W: no-manual-page-for-binary kvecs_FS.x
quantum-espresso.i686: W: no-manual-page-for-binary ld1.x
quantum-espresso.i686: W: no-manual-page-for-binary interpolate.x
quantum-espresso.i686: W: no-manual-page-for-binary ncpp2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary fd.x
quantum-espresso.i686: W: no-manual-page-for-binary lambda.x
quantum-espresso.i686: W: no-manual-page-for-binary read_upf_tofile.x
quantum-espresso.i686: W: no-manual-page-for-binary bgw2pw.x
quantum-espresso.i686: W: no-manual-page-for-binary dos.x
quantum-espresso.i686: W: no-manual-page-for-binary uspp2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary oldcp2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary iotk.x
quantum-espresso.i686: W: no-manual-page-for-binary kpoints.x
quantum-espresso.i686: W: no-manual-page-for-binary gww_fit.x
quantum-espresso.i686: W: no-manual-page-for-binary pw.x
quantum-espresso.i686: W: no-manual-page-for-binary cpmd2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary iotk_print_kinds.x
quantum-espresso.i686: W: no-manual-page-for-binary dist.x
quantum-espresso.i686: W: no-manual-page-for-binary pwi2xsf.x
quantum-espresso.i686: W: no-manual-page-for-binary fpmd2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary q2trans.x
quantum-espresso.i686: W: no-manual-page-for-binary fhi2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary plotband.x
quantum-espresso.i686: W: no-manual-page-for-binary dynmat.x
quantum-espresso.i686: W: no-manual-page-for-binary wannier_plot.x
quantum-espresso.i686: W: no-manual-page-for-binary vdb2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary d3.x
quantum-espresso.i686: W: no-manual-page-for-binary ph.x
quantum-espresso.i686: W: no-manual-page-for-binary head.x
quantum-espresso.i686: W: no-manual-page-for-binary q2trans_fd.x
quantum-espresso.i686: W: no-manual-page-for-binary fqha.x
quantum-espresso.i686: W: no-manual-page-for-binary pw_export.x
quantum-espresso.i686: W: no-manual-page-for-binary pmw.x
quantum-espresso.i686: W: no-manual-page-for-binary iotk
quantum-espresso.i686: W: no-manual-page-for-binary matdyn.x
quantum-espresso.i686: W: no-manual-page-for-binary turbo_spectrum.x
quantum-espresso.i686: W: no-manual-page-for-binary manypw.x
quantum-espresso.i686: W: no-manual-page-for-binary turbo_davidson.x
quantum-espresso.i686: W: no-manual-page-for-binary q2qstar.x
quantum-espresso.i686: W: no-manual-page-for-binary wfdd.x
quantum-espresso.i686: W: no-manual-page-for-binary pw2gw.x
quantum-espresso.i686: W: no-manual-page-for-binary generate_vdW_kernel_table.x
quantum-espresso.i686: W: no-manual-page-for-binary initial_state.x
quantum-espresso.i686: W: no-manual-page-for-binary gww.x
quantum-espresso.i686: W: no-manual-page-for-binary average.x
quantum-espresso.i686: W: no-manual-page-for-binary phcg.x
quantum-espresso.i686: W: no-manual-page-for-binary neb.x
quantum-espresso.i686: W: no-manual-page-for-binary plotproj.x
quantum-espresso.i686: W: no-manual-page-for-binary pw2bgw.x
quantum-espresso.i686: W: no-manual-page-for-binary virtual.x
quantum-espresso.i686: W: no-manual-page-for-binary turbo_lanczos.x
quantum-espresso.i686: W: no-manual-page-for-binary epsilon.x
quantum-espresso.i686: W: no-manual-page-for-binary casino2upf.x
quantum-espresso.i686: W: no-manual-page-for-binary projwfc.x
quantum-espresso.i686: W: no-manual-page-for-binary pwcond.x
quantum-espresso.i686: W: no-manual-page-for-binary sumpdos.x
quantum-espresso.i686: W: no-manual-page-for-binary upf2casino.x
quantum-espresso.i686: W: no-manual-page-for-binary importexport_binary.x
quantum-espresso.i686: W: no-manual-page-for-binary q2r.x
quantum-espresso.i686: W: no-manual-page-for-binary turbo_eels.x
quantum-espresso.i686: W: no-manual-page-for-binary spectra_manipulation.x
quantum-espresso.i686: W: no-manual-page-for-binary wfck2r.x
quantum-espresso.i686: W: no-manual-page-for-binary bands.x
quantum-espresso.i686: W: no-manual-page-for-binary plan_avg.x
quantum-espresso.i686: W: no-manual-page-for-binary xspectra.x
quantum-espresso.i686: W: no-manual-page-for-binary ev.x
quantum-espresso.src: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso.src: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso.src: W: spelling-error %description -l en_US iotk -> iota
quantum-espresso.src: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_dot.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_dav_main.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_calc_dens_eels_nc.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_ortho.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_dealloc.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/PW/tools/dist.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/PW/src/h_epsi_her_set.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_setup_nscf.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_lanczos.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_solve_e.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_calc_dens.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_variables.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_calc_dens_eels.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/stop_lr.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_restart.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_sm1_psi.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/sd0psi.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/bcast_lr_input.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/Modules/xc_rVV10.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_read_wf_eels_periodic.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_apply_liouvillian_eels.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/PW/src/generate_rVV10_kernel_table.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_sym_eels.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_smallgq.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_test_restart.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_psym_eels.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_summary.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_dvpsi_eels.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_dvpsi_e.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_main.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_addusddens.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/XSpectra/src/banner_xspectra.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_dv_setup.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_read_wf.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_run_nscf.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_readin.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/print_clock_lr.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_read_d0psi.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_write_restart.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_alloc_init.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_apply_liouvillian.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/PW/src/rdiagh.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/tools/tddfpt_calculate_spectrum.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_set_boxes_density.f90
quantum-espresso-debuginfo.i686: E: script-without-shebang /usr/src/debug/espresso-5.2.1/TDDFPT/src/lr_eels_main.f90
quantum-espresso-devel.i686: W: summary-not-capitalized C quantum-espresso - devel
quantum-espresso-devel.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-devel.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-devel.i686: W: only-non-binary-in-usr-lib
quantum-espresso-devel.i686: W: no-documentation
quantum-espresso-devel.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-devel/License
quantum-espresso-mpich.i686: W: summary-not-capitalized C quantum-espresso - mpich version
quantum-espresso-mpich.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-mpich.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-mpich.i686: W: no-documentation
quantum-espresso-mpich.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-mpich/License
quantum-espresso-mpich-devel.i686: W: summary-not-capitalized C quantum-espresso - devel mpich version
quantum-espresso-mpich-devel.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-mpich-devel.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-mpich-devel.i686: W: only-non-binary-in-usr-lib
quantum-espresso-mpich-devel.i686: W: no-documentation
quantum-espresso-mpich-devel.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-mpich-devel/License
quantum-espresso-mpich-static.i686: W: summary-not-capitalized C quantum-espresso - static libraries mpich version
quantum-espresso-mpich-static.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-mpich-static.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-mpich-static.i686: W: no-documentation
quantum-espresso-mpich-static.i686: W: spurious-executable-perm /usr/lib/mpich/lib/libiotk.a
quantum-espresso-mpich-static.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-mpich-static/License
quantum-espresso-openmpi.i686: W: summary-not-capitalized C quantum-espresso - openmpi version
quantum-espresso-openmpi.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-openmpi.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-openmpi.i686: W: no-documentation
quantum-espresso-openmpi.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-openmpi/License
quantum-espresso-openmpi-devel.i686: W: summary-not-capitalized C quantum-espresso - devel openmpi version
quantum-espresso-openmpi-devel.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-openmpi-devel.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-openmpi-devel.i686: W: only-non-binary-in-usr-lib
quantum-espresso-openmpi-devel.i686: W: no-documentation
quantum-espresso-openmpi-devel.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-openmpi-devel/License
quantum-espresso-openmpi-static.i686: W: summary-not-capitalized C quantum-espresso - static libraries openmpi version
quantum-espresso-openmpi-static.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-openmpi-static.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-openmpi-static.i686: W: no-documentation
quantum-espresso-openmpi-static.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-openmpi-static/License
quantum-espresso-openmpi-static.i686: W: spurious-executable-perm /usr/lib/openmpi/lib/libiotk.a
quantum-espresso-static.i686: W: summary-not-capitalized C quantum-espresso - static libraries
quantum-espresso-static.i686: W: spelling-error %description -l en_US nanoscale -> nanosecond
quantum-espresso-static.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
quantum-espresso-static.i686: W: no-documentation
quantum-espresso-static.i686: E: incorrect-fsf-address /usr/share/licenses/quantum-espresso-static/License
quantum-espresso-static.i686: W: spurious-executable-perm /usr/lib/libiotk.a
11 packages and 0 specfiles checked; 54 errors, 128 warnings.
rpmlint /var/lib/mock/fedora-rawhide-i386/result/*rpm  75.71s user 5.11s system 86% cpu 1:33.30 total

Mostly false positives, nothing important.

Package is APPROVED.

Comment 28 marcindulak 2016-01-08 07:56:14 UTC
Thanks. For iotk, let's see if espresso developers react to the presence of the RPM, I drop them a message. Maybe they consider splitting iotk.
I have verified that parallel runs are OK with openmpi and mpich on CentOS 7. I mean the output from an expresso run shows the expected number of N processes and there is no N-tupling of lines in the output, which would be the case if one runs a serial code with mpiexec.

Comment 29 Gwyn Ciesla 2016-01-08 15:17:34 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/quantum-espresso

Comment 30 marcindulak 2016-01-22 13:31:53 UTC
FYI: I'm disabling armv7hl build because it took almost one week on Fedora 24 without finishing http://koji.fedoraproject.org/koji/taskinfo?taskID=12573023
Moreover it looks like the build has been restarted 4 times.

Comment 31 marcindulak 2016-01-22 13:42:25 UTC
Actually this is the test-suite that takes so long on armv7hl. The test-suite finished in serial (1-2 days), but never finished with openmpi and did not even reach mpich. For comparison the whole build+test-suite on x86_64 %{ix86} took 2 days https://koji.fedoraproject.org/koji/taskinfo?taskID=12593524 (still several times longer compared to a build on my laptop).

Comment 32 Fedora Update System 2016-01-22 16:51:27 UTC
quantum-espresso-5.3.0-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb5c45a81

Comment 33 Fedora Update System 2016-01-22 17:20:17 UTC
quantum-espresso-5.3.0-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-65540a772a

Comment 34 Fedora Update System 2016-01-23 06:09:40 UTC
quantum-espresso-5.3.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-31f2840d93

Comment 35 Fedora Update System 2016-01-24 03:53:41 UTC
quantum-espresso-5.3.0-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb5c45a81

Comment 36 Fedora Update System 2016-01-24 04:50:30 UTC
quantum-espresso-5.3.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-31f2840d93

Comment 37 Fedora Update System 2016-01-24 04:50:40 UTC
quantum-espresso-5.3.0-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-65540a772a

Comment 38 marcindulak 2016-01-26 13:43:33 UTC
Message sent to quantum-espresso developers: http://qe-forge.org/pipermail/pw_forum/2016-January/108949.html

Comment 39 Fedora Update System 2016-02-14 14:54:02 UTC
quantum-espresso-5.3.0-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d9b8990e3

Comment 40 Fedora Update System 2016-02-15 02:54:40 UTC
quantum-espresso-5.3.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2016-02-15 03:20:23 UTC
quantum-espresso-5.3.0-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2016-02-15 03:52:50 UTC
quantum-espresso-5.3.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d9b8990e3

Comment 43 Fedora Update System 2016-02-15 08:49:32 UTC
quantum-espresso-5.3.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2016-02-19 20:59:39 UTC
quantum-espresso-5.3.0-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-72ad34fd5f

Comment 45 Fedora Update System 2016-02-21 06:21:25 UTC
quantum-espresso-5.3.0-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-72ad34fd5f

Comment 46 Fedora Update System 2016-03-09 14:27:41 UTC
quantum-espresso-5.3.0-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.